For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTLog to an Agent
      • PATCHUpdate Agent Log
      • STREAMCall Agent
      • STREAMContinue Agent Call
      • GETList Agents
      • POSTUpsert Agent
      • DELDelete Agent Version
      • PATCHUpdate Agent Version
      • GETGet Agent
      • DELDelete Agent
      • PATCHMove Agent
      • GETList Versions of a Agent
      • POSTDeploy Agent
      • DELRemove Deployment
      • GETList an Agent's Environments
      • POSTUpdate Monitoring
      • GETSerialize
      • POSTDeserialize
LogoLogo
Sign inBook a demo
APIAgents

Delete Agent

DELETE
https://api.humanloop.com/v5/agents/:id
DELETE
/v5/agents/:id
$curl -X DELETE https://api.humanloop.com/v5/agents/ag_1234567890 \
> -H "X-API-KEY: <apiKey>"
Delete the Agent with the given ID.
Was this page helpful?
Previous

Move Agent

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Agent.

Errors

422
Delete Agents ID Delete Request Unprocessable Entity Error